Subject: Re: remote#branch

From: Mike Hommey <[email-masked]>
Date: Wed, 31 Oct 2007 10:15:29 +0100

On Wed, Oct 31, 2007 at 10:03:16AM +0100, Andreas Ericsson <[email-masked]> wrote:
> >Or copied from gitweb.
> >
> 
> Perhaps, but I've never seen that done. Partly because you can't be sure
> the HTTP url is the same as the git address (perhaps people are used to
> this from CVS and the likes), and partly because you'd, for most cases,
> want to use git:// or ssh transport instead of http.
> 
> It might be nifty to have gitweb print some git-valid locator for a repo
> though, or even a full copy-pastable "git clone git://host/path/to/repo.git"
> command-line thingie. I'll look into it when I have leisure.

Hum... it already does print http and git "Mirror URL"s which are ready to
be copy/pasted to feed git clone arguments.

Mike